// BrowseList.cpp : implementation file
//

#include "stdafx.h"

#include "hdaClientTest.h"
#include "hdaclienttestview.h"
#include "BrowseList.h"
#include "OPCErrDlg.h"
#include "mainfrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBrowseList dialog


CBrowseList::CBrowseList(CWnd* pParent /*=NULL*/)
	: CDialog(CBrowseList::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBrowseList)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CBrowseList::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBrowseList)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBrowseList, CDialog)
	//{{AFX_MSG_MAP(CBrowseList)
	ON_LBN_SELCHANGE(IDC_LIST1, OnSelchangeList1)
	ON_BN_CLICKED(IDC_ADDITEM, OnAdditem)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBrowseList message handlers

CHDAClientTestApp *CBrowseList::GetApp()
{
	CHDAClientTestApp *pApp;

	pApp = (CHDAClientTestApp *)AfxGetApp();
	return (pApp);
}

BOOL CBrowseList::OnInitDialog() 
{
	int	i;

	CDialog::OnInitDialog();

	pAddButton = (CButton *)GetDlgItem (IDC_ADDITEM);
	pAddButton->EnableWindow(FALSE);
	pList = (CListBox *)GetDlgItem(IDC_LIST1);
	
	for (i=0; i<pIDlist->GetSize(); i++)
		pList->AddString (pIDlist->GetAt(i));

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CBrowseList::OnSelchangeList1() 
{
	if (pList->GetCurSel() != -1)
		pAddButton->EnableWindow(TRUE);
	else
		pAddButton->EnableWindow(FALSE);
}

void CBrowseList::OnAdditem() 
{
	int	i;

	i = pList->GetCurSel();
	if (pParent != NULL)
		pParent->AddNewItem(pIDlist->GetAt(i), "");
}

void CBrowseList::OnDblclkList1() 
{
	if (pList->GetCurSel() != -1)
		OnAdditem();
}
