// ReadRawDlg.cpp : implementation file
//

#include "stdafx.h"
#include "HDAClientTest.h"
#include "ReadRawDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CReadRawDlg dialog


CReadRawDlg::CReadRawDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CReadRawDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CReadRawDlg)
	m_bounds = FALSE;
	m_startday = 0;
	m_endday = 0;
	m_starthr = 0;
	m_endhr = 0;
	m_maxpoints = 0;
	m_startmin = 0;
	m_endmin = 0;
	m_startmo = 0;
	m_endmo = 0;
	m_startsec = 0;
	m_endsec = 0;
	m_startyr = 0;
	m_endyr = 0;
	//}}AFX_DATA_INIT
}


void CReadRawDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CReadRawDlg)
	DDX_Check(pDX, IDC_BOUNDS, m_bounds);
	DDX_Text(pDX, IDC_DAY1, m_startday);
	DDV_MinMaxInt(pDX, m_startday, 1, 31);
	DDX_Text(pDX, IDC_DAY2, m_endday);
	DDV_MinMaxInt(pDX, m_endday, 1, 31);
	DDX_Text(pDX, IDC_HR1, m_starthr);
	DDV_MinMaxInt(pDX, m_starthr, 0, 23);
	DDX_Text(pDX, IDC_HR2, m_endhr);
	DDV_MinMaxInt(pDX, m_endhr, 0, 23);
	DDX_Text(pDX, IDC_MAX, m_maxpoints);
	DDV_MinMaxInt(pDX, m_maxpoints, 1, 1000);
	DDX_Text(pDX, IDC_MIN1, m_startmin);
	DDV_MinMaxInt(pDX, m_startmin, 0, 59);
	DDX_Text(pDX, IDC_MIN2, m_endmin);
	DDV_MinMaxInt(pDX, m_endmin, 0, 59);
	DDX_Text(pDX, IDC_MO1, m_startmo);
	DDV_MinMaxInt(pDX, m_startmo, 1, 12);
	DDX_Text(pDX, IDC_MO2, m_endmo);
	DDV_MinMaxInt(pDX, m_endmo, 1, 12);
	DDX_Text(pDX, IDC_SEC1, m_startsec);
	DDV_MinMaxInt(pDX, m_startsec, 0, 59);
	DDX_Text(pDX, IDC_SEC2, m_endsec);
	DDV_MinMaxInt(pDX, m_endsec, 0, 59);
	DDX_Text(pDX, IDC_YR1, m_startyr);
	DDV_MinMaxInt(pDX, m_startyr, 1990, 2010);
	DDX_Text(pDX, IDC_YR2, m_endyr);
	DDV_MinMaxInt(pDX, m_endyr, 1990, 2010);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CReadRawDlg, CDialog)
	//{{AFX_MSG_MAP(CReadRawDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CReadRawDlg message handlers

BOOL CReadRawDlg::OnInitDialog() 
{
	CStatic	*pStatic;
	CButton	*pButton;

	CDialog::OnInitDialog();
	
	if (m_IsProcessed)
		{
		SetWindowText ("Read Processed Data Points");
		pStatic = (CStatic *)GetDlgItem (IDC_STATIC1);
		pStatic->SetWindowText ("Resample Interval, (Minutes):");
		pButton = (CButton *)GetDlgItem (IDC_BOUNDS);
		pButton->EnableWindow(FALSE);
		}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
